## sugar-activity-musickeyboard 13

=== debian/changelog ===
sugar-activity-musickeyboard (13) belenos; urgency=low

  * 13 release

 -- Ruben Rodriguez <ruben@trisquel.info>  Sat, 17 Oct 2020 15:21:57 +0000

## sugar-activity-musickeyboard 13trisquel1

=== debian/changelog ===
sugar-activity-musickeyboard (13trisquel1) ecne; urgency=low

  * 13trisquel1 release

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 23 Apr 2025 02:14:30 +0000

## sugar-activity-musickeyboard 13%2B9.0trisquel1

=== debian/changelog ===
sugar-activity-musickeyboard (13+9.0trisquel1) nabia; urgency=low

  * 13+9.0trisquel1 release

 -- Ruben Rodriguez <ruben@trisquel.info>  Tue, 02 Nov 2021 12:06:43 +0000

## sugar-activity-musickeyboard 13%2B10.0trisquel1

=== usr/share/sugar/activities/MusicKeyboard.activity/ttcommon/Util/Clooper/Makefile ===
CC=gcc


ARCH_OUT = $(shell arch)

CSOUND_ARCH = $(shell if [ -z "$(shell arch | grep arm)" ]; then \
        echo $(ARCH_OUT) | grep 64 >/dev/null && echo linux64 || echo linux32; \
    else \
        echo $(ARCH_OUT); \
    fi)

CSOUND_VERSION = $(shell csound --version 2>&1 | grep -o "Csound version [0-9]\+\.[0-9]\+" | awk '{print $$3}' | sed s/\\.//g)
LIB_NAME = $(CSOUND_ARCH)_$(CSOUND_VERSION)

CXXFLAGS = $(shell python-config --cflags) \
		   -Wall -Werror -fPIC -O2 -finline 
LDFLAGS+=  $(python-config --libs) \
		   -lcsound

all : aclient.so
	rm -rf $(LIB_NAME)
	mkdir $(LIB_NAME)
	strip aclient.so
	mv aclient.so $(LIB_NAME)/
	touch $(LIB_NAME)/__init__.py

aclient.so : aclient.cpp
	g++ $(CXXFLAGS) -shared -o $@ $< $(LDFLAGS)

clean :
	rm aclient*.so

=== debian/changelog ===
sugar-activity-musickeyboard (13+10.0trisquel1) nabia; urgency=low

  * 13+10.0trisquel1 release

 -- Ruben Rodriguez <ruben@trisquel.info>  Wed, 27 Oct 2021 01:04:39 +0000

## sugar-activity-musickeyboard 13%2B11.0trisquel1

=== debian/changelog ===
sugar-activity-musickeyboard (13+11.0trisquel1) aramo; urgency=low

  * 13+11.0trisquel1 release

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 04 Jul 2022 21:25:19 +0000

=== debian/control ===
Source: sugar-activity-musickeyboard
Section: games
Priority: optional
Maintainer: Ruben Rodriguez <ruben@trisquel.info>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2

Package: sugar-activity-musickeyboard
Architecture: all
Description: sugar-activity-musickeyboard
 An activity for the Sugar learning environment.
